Package org.zkoss.zkmax.xel.util

## Class ResolverMap

- java.lang.Object
- - org.zkoss.zkmax.xel.util.ResolverMap

- All Implemented Interfaces:
    `java.util.Map`

      public class ResolverMap
      extends java.lang.Object
      implements java.util.Map

  A Map interface on top of `VariableResolver`.

  Available in ZK EE

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolverMap​(VariableResolver resolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(java.lang.Object value)` | Always returns false, no matter any variable is defined.
    `java.util.Set` | `entrySet()` | Always returns an empty set, no matter any variable is defined.
    `java.lang.Object` | `get​(java.lang.Object key)` |
    `boolean` | `isEmpty()` | Always returns true, no matter any variable is defined.
    `java.util.Set` | `keySet()` | Always returns an empty set, no matter any variable is defined.
    `java.lang.Object` | `put​(java.lang.Object key, java.lang.Object value)` |
    `void` | `putAll​(java.util.Map map)` |
    `java.lang.Object` | `remove​(java.lang.Object key)` |
    `int` | `size()` | Always returns 0, no matter any variable is defined.
    `java.util.Collection` | `values()` | Always returns an empty collection, no matter any variable is defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ResolverMap

          public ResolverMap​(VariableResolver resolver)

  - ### Method Detail

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map`

    - #### get

          public java.lang.Object get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map`

    - #### entrySet

          public java.util.Set entrySet()

      Always returns an empty set, no matter any variable is defined.
      Specified by:
        `entrySet` in interface `java.util.Map`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map`

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Always returns false, no matter any variable is defined.
      Specified by:
        `containsValue` in interface `java.util.Map`

    - #### isEmpty

          public boolean isEmpty()

      Always returns true, no matter any variable is defined.
      Specified by:
        `isEmpty` in interface `java.util.Map`

    - #### keySet

          public java.util.Set keySet()

      Always returns an empty set, no matter any variable is defined.
      Specified by:
        `keySet` in interface `java.util.Map`

    - #### put

          public java.lang.Object put​(java.lang.Object key,
                                      java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map`

    - #### putAll

          public void putAll​(java.util.Map map)

      Specified by:
        `putAll` in interface `java.util.Map`

    - #### remove

          public java.lang.Object remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map`

    - #### size

          public int size()

      Always returns 0, no matter any variable is defined.
      Specified by:
        `size` in interface `java.util.Map`

    - #### values

          public java.util.Collection values()

      Always returns an empty collection, no matter any variable is defined.
      Specified by:
        `values` in interface `java.util.Map`